component extends="Cache"{

	fields = [ 
		field(
			displayName  = "Host",
			name         = "host",
			defaultValue = "127.0.0.1",
			required     = true,
			description  = "The ip or hostname of the MongoDb server",
			type         = "text"
		),
		field(displayName = "Port",
			name          = "port",
			defaultValue  = "27017",
			required      = true,
			description   = "The port MongoDb is listening on",
			type          = "text"
		),
		field(
			displayName   = "Database Name",
			name          = "database",
			defaultValue  = "cache",
			required      = true,
			description   = "The MongoDB Database to use for this cache"
		),
		field(
			displayName   = "Cache Key Prefix",
			name          = "keyprefix",
			defaultValue  = "lucee-cache",
			required      = true,
			description   = "The unique cache key prefix to be used when storing keys from this cache. Remember that multiple caches can be registered against the same MongoDb Database. This will avoid collisions betwee Lucee caches."
		)
	];

	function getClass(){
		return "ortus.extension.cache.mongodb.MongoDbCache";
	}

	function getLabel(){
		return "Ortus MongoDb Cache";
	}

	function getDescription(){
		return "Ortus MongoDb Cache Extension will allow you to register caches so they can store their content on a distributed and highly scalable MongoDb cluster.  You can also use the extension for distributed session/client management, object functions and much more.{trial-description}";
	}

}