<cfoutput>

<!--- If the controller hit an error, show it here. --->
<cfif structKeyExists( session, "ortus_extension_error" )>
	<div style="text-align: center; color: red; font-size:large;">
		#session.ortus_extension_error#
	</div>
	<cfset structDelete( session, "ortus_extension_error" )>
</cfif>

<h2>#lang.pgHeader#</h2>

<form action="#action('update')#" method="post">
	<table class="maintbl autowidth">
		<tbody>
			<tr>
				<th scope="row">#lang.tblHeader#</th>
				<td>
					<strong style="color: <cfif req.licenseValidCheck.isValid >green<cfelse>red</cfif>">
						#encodeForHTML( req.licenseValidCheck.message )#<br>
					</strong>					
				</td>
			</tr>
			<tr>
				<th scope="row">E-mail</th>
				<td>
					<input name="email" type="text" class="large" value="#encodeForHTML( req.licenseProperties.email )#">
				</td>
			</tr>
			<tr>
				<th scope="row">#lang.fldLabelLicenseKey#</th>
				<td>
					<textarea name="licenseKey" rows="7" cols="80">#encodeForHTML( req.licenseProperties.licenseKey )#</textarea>
				</td>
			</tr>
			<tr>
				<th scope="row">#lang.fldLabelActivationType#</th>
				<td>
					<select name="serverType">
						<option value="Production" <cfif req.licenseProperties.serverType eq "production" OR NOT len( req.licenseProperties.serverType )>selected="true"</cfif>>
							#lang.activateTypeProduction#
						</option>
						<option value="Dev" <cfif req.licenseProperties.serverType eq "Dev">selected="true"</cfif>>
							#lang.activateTypeDevelopment#
						</option>
						<!--- Only show the trial option if it's already selected or the trial date hasn't passed. --->
						<cfif req.licenseProperties.serverType eq "trial" OR req.trialExpiration GTE now() >
							<option value="trial" <cfif req.licenseProperties.serverType eq "trial">selected="true"</cfif>>
								#lang.activateTypeTrial# (#lang.expires# #dateFormat( req.trialExpiration )# )
							</option>
						</cfif>
					</select>
					<cfif req.licenseProperties.serverType eq "trial" AND req.trialExpiration LT now() >
						<br><strong style="color: red">#lang.trialExpired#</strong>
					</cfif>
				</td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="2">
					<input class="button submit" type="submit" name="submit" value="#lang.btnSubmit#" />
				</td>
			</tr>
		</tfoot>
	</table>   
</form>
<div style="text-align: right; color: grey; font-size:x-small; font-style: italic;">
	<!--- Only output the domain --->
	Activation Server: #reReplaceNoCase( req.activationServer, '(https?:\/\/)([^\/]*)/(.*)', '\2' )#
</div>
</cfoutput>
